.SUFFIXES: .cc .obj

ARCH        = WINNT-4.0
SHOBJ       = YES
HAIL        = NO
FAIRWELL    = NO

include ..\..\include\makeinclude\Makefile.WINNT-4.0

EPICSINCLUDES = /I $(EPICS)\base\include
CXXEXTRA      = /w $(EPICSINCLUDES) /D _EPICS_3_12 /D "_CDEV_BUILD_SVC"

OBJS =  $(OBJDIR)\caChannel.obj\
	$(OBJDIR)\caNameSvc.obj\
	$(OBJDIR)\caRequestObject.obj\
	$(OBJDIR)\caService.obj\
	$(OBJDIR)\caMonObj.obj\
	$(OBJDIR)\caMisc.obj
	
TARGETS = $(CDEVSHOBJ)\$(CDEVVERSION)\caService.dll

targets : $(TARGETS)

$(CDEVSHOBJ)\$(CDEVVERSION)\caService.dll: $(OBJS) 
	@echo =^> Building $(@F) 
	@echo =^> Objects: $(?F)
	-@if exist $@ erase $@
	-@if not exist $(@D) mkdir $(@D)
	@$(LIB32) $(CDEVLIB)\cdev.lib $(EPICS)\base\lib\ca.lib $(EPICS)\base\lib\com.lib \
	$(LINK_DLL_FLAGS) /out:$@ /implib:$(@D)\$(@B).lib $(OBJS)
	@echo ^<= Done...


